Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158652 - camstream fails to rebuild on ppc
Summary: camstream fails to rebuild on ppc
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: camstream
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-24 15:49 UTC by Jeremy Katz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-26 07:54:36 UTC


Attachments (Terms of Use)
full build log for ppc failure (deleted)
2005-05-24 16:45 UTC, Colin Charles
no flags Details
spec file patch to make it -ppc (deleted)
2005-05-24 17:52 UTC, Colin Charles
no flags Details | Diff

Description Jeremy Katz 2005-05-24 15:49:33 UTC
Fails to rebuild on PPC, log at 
http://extras64.linux.duke.edu/failed/development/camstream/0.26.3-7/ppc/

Comment 1 Colin Charles 2005-05-24 16:43:53 UTC
Turns out this is in relation to asm issues in camstream (that are x86
specific). Looking at video_asm.S to fix would be necessary. Attaching a full
build failure

Comment 2 Colin Charles 2005-05-24 16:45:29 UTC
Created attachment 114786 [details]
full build log for ppc failure

Comment 3 Colin Charles 2005-05-24 17:51:34 UTC
Now, going by precedent, till we get a nice PPC patch, we should do what others
do (in this case, gentoo -
http://packages.gentoo.org/ebuilds/?camstream-0.26.3). Attached diff is a patch
that can be applied, provided owner is happy...

Comment 4 Colin Charles 2005-05-24 17:52:43 UTC
Created attachment 114789 [details]
spec file patch to make it -ppc

Comment 5 Jeremy Katz 2005-05-24 19:09:17 UTC
That sounds sane to me.  Colin, feel free to commit and queue the build
(preferably also referencing a bug # left open about the need to port the asm to
ppc)

Comment 6 Colin Charles 2005-05-26 01:28:36 UTC
Okay, built on x86/x86_64, excluded PPC for now. Maintainer, are you around?
#157509 in question...


Note You need to log in before you can comment on or make changes to this bug.